# Uses of Enum Class
jebl.evolution.trees.TreeBuilderFactory.Method

Packages that use TreeBuilderFactory.Method
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.
jebl.evolution.trees

## Uses of TreeBuilderFactory.Method in jebl.evolution.align

Methods in jebl.evolution.align with parameters of type TreeBuilderFactory.Method
Modifier and Type
Method
Description
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, MultipleAligner aligner, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener)`
Will use model F84 for nucleotides and Jukes-Cantor for amino acid
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener, TreeBuilderFactory.DistanceModel model)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(Alignment alignment, TreeBuilderFactory.Method method, TreeBuilderFactory.DistanceModel model, ProgressListener progressListener)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(Alignment alignment, TreeBuilderFactory.Method method, TreeBuilderFactory.DistanceModel model, ProgressListener progressListener, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`

## Uses of TreeBuilderFactory.Method in jebl.evolution.trees

Subclasses with type arguments of type TreeBuilderFactory.Method in jebl.evolution.trees
Modifier and Type
Class
Description
`static enum`
`TreeBuilderFactory.Method`
Supported methods for tree building
Methods in jebl.evolution.trees that return TreeBuilderFactory.Method
Modifier and Type
Method
Description
`static TreeBuilderFactory.Method`
TreeBuilderFactory.Method.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeBuilderFactory.Method[]`
TreeBuilderFactory.Method.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jebl.evolution.trees with parameters of type TreeBuilderFactory.Method
Modifier and Type
Method
Description
`static ClusteringTreeBuilder`
ClusteringTreeBuilder.`getBuilder(TreeBuilderFactory.Method method, DistanceMatrix distances)`
A factory method to create a ClusteringTreeBuilder
`static ClusteringTreeBuilder`
TreeBuilderFactory.`getBuilder(TreeBuilderFactory.Method method, DistanceMatrix distances)`
`static boolean`
TreeBuilderFactory.`isRootedMethod(TreeBuilderFactory.Method method)`